# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/command-ui-handler.ts:17

#####
Index

### Constructors

constructor

### Properties

active
commandsContainer
cursor
cursor2
cursorObj
fieldIndex
mode
scene

### Methods

clear
eraseCursor
getCursor
getTextColor
getUi
processInput
setCursor
setup
show

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/command-ui-handler.ts:24

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Private` commandsContainer

commandsContainer: Container

- Defined in src/ui/command-ui-handler.ts:18

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` cursor2

cursor2: number = 0

- Defined in src/ui/command-ui-handler.ts:22

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/command-ui-handler.ts:19

### `Protected` fieldIndex

fieldIndex: number = 0

- Defined in src/ui/command-ui-handler.ts:21

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/command-ui-handler.ts:166

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/command-ui-handler.ts:174

### getCursor

- getCursor(): number

- #### Returns number

  Overrides default.getCursor

  - Defined in src/ui/command-ui-handler.ts:142

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/command-ui-handler.ts:72

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/command-ui-handler.ts:146

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/command-ui-handler.ts:28

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/command-ui-handler.ts:47